## ros-lunar-rosbridge-server 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_server)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  scripts/rosbridge_tcp.py
  scripts/rosbridge_tcp
  scripts/rosbridge_udp
  scripts/rosbridge_udp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/rosbridge_websocket.launch
  launch/rosbridge_tcp.launch
  launch/rosbridge_udp.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-rosbridge-server (0.10.1-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sat, 15 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.10.0-0stretch) stretch; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * Add param to enable ws per-message deflate (#365 <https://github.com/RobotWebTools/rosbridge_suite/issues/365>)
    * Add param to enable ws per-message deflate
    Tornado has its own per-message deflate compression option, which
    compresses each WebSocket message.  The compression level should be
    roughly equivalent to PNG compression, depending on whether the message is
    JSON or binary (CBOR).  The encoding/decoding time will be much faster
    than protocol PNG compression.
    This param should be enabled when wire size is important, e.g. not
    connecting to localhost.
  * rosbridge_server: Publish number of connected clients on latched topic. (#359 <https://github.com/RobotWebTools/rosbridge_suite/issues/359>)
  * Fix a few problems (#350 <https://github.com/RobotWebTools/rosbridge_suite/issues/350>)
    * xrange is not available in Python3, range works for both Python versions
    * the variable v is undefined in search_param, comparing the implementation with the sibling functions I expect name to be the intended variable
    * The module udp_handler is using the Authentication service but wasn't importing the module
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Adding bson support for websockets (#327 <https://github.com/RobotWebTools/rosbridge_suite/issues/327>)
    * removed message that bson isn't supported. setting the bson only mode class attribute
    * added auth package inspection for bson only mode
  * Contributors: Dirk Thomas, Hans-Joachim Krauch, Matt Vollrath, Sanic

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.9.0-0stretch) stretch; urgency=high

  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * Remove tornado fork from source code and add python-tornado as run dependency (#317 <https://github.com/RobotWebTools/rosbridge_suite/issues/317>)
    Release only for kinetic+
  * Fix bug that lost data while sending large packets (#310 <https://github.com/RobotWebTools/rosbridge_suite/issues/310>)
    * fix bug that lost data while sending large packets
  * Contributors: Jørgen Borgesen, MBlistein, WH-0501

 -- Russell Toris <rctoris@wpi.edu>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.6-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 Dec 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.5-0stretch) stretch; urgency=high

  * Raise if inappropriate bson module is installed (Appease #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>) (#270 <https://github.com/RobotWebTools/rosbridge_suite/issues/270>)
    * Raise Exception if inappropriate bson module is installed (Related to #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>)
  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Junya Hayashi, Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Nov 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.4-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 15 Oct 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.3-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.2-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 10 Sep 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.1-0stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Aug 2017 15:00:00 -0000

ros-lunar-rosbridge-server (0.8.0-0stretch) stretch; urgency=high

  * Merge pull request #281 <https://github.com/RobotWebTools/rosbridge_suite/issues/281> from RobotWebTools/expose_b64
    expose binary_encoder rosparam that was hidden in deep depth
  * address review comment. more explicitly describe valid args
  * correct the possible argument
  * expose binary_encoder rosparam that was hidden in deep depth
  * Merge pull request #277 <https://github.com/RobotWebTools/rosbridge_suite/issues/277> from T045T/remove_nodelay_for_udp
    don't try to set TCP nodelay option for UDP


=== debian/control ===
Source: ros-lunar-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-lunar-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-backports.ssl-match-hostname, python-tornado, python-twisted-core, ros-lunar-rosapi, ros-lunar-rosauth, ros-lunar-rosbridge-library, ros-lunar-rospy
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosbridge-server//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
